Popularity
Endpoints for reading popularity/usage data
Returns latest information about the popularity and usage for assets
Authorizations
AuthorizationstringRequired
Collibra REST API authentication using Basic Authentication.
Bodyobject · AssetLocator[]
Describes where to search for a specific Catalog asset. It might match more than one result.
It also specifies the type of the datastore of origin and its commercial name
typestringRequiredExample:
Identifier for the datastore type of origin.
RDBMSproductstringOptional
Commercial name of the datastore of origin.
keysstring[] · min: 1Required
Ordered list of names for each member of the hierarchy of an item.
Responses
200
List of popularity scores
application/json
errorMessagestringOptional
400
The request is not valid.
application/json
401
The client is not authenticated.
application/json
403
The user lacks permissions.
application/json
404
Resource not found.
application/json
post/findPopularity
POST /rest/dataUsage/v1/findPopularity HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 119
[
{
"type": "RDBMS",
"product": "postgres",
"keys": [
"system_name",
"database_name",
"schema_name",
"table_name",
"column_name"
]
}
][
{
"assetLocator": [
{
"type": "RDBMS",
"product": "text",
"keys": [
"text"
]
}
],
"popularity": {
"score": "4 - Very high",
"calculatedAt": "2020-01-01T00:00:00Z"
},
"usageData": {
"fromDate": "2020-01-01T00:00:00Z",
"toDate": "2020-12-01T00:00:00Z",
"queryCount": 1200,
"distinctUsers": 14
},
"errorMessage": "text"
}
]Last updated
Was this helpful?